Index Page eknseg_c
A B C D E F G H I J K L M N O P Q R S T U V W X
Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries
#### Procedure
       SpiceInt eknseg_c ( SpiceInt handle )
#### Abstract
       Return the number of segments in a specified EK.
#### Required_Reading
       EK
#### Keywords
       EK
       UTILITY
#### Brief_I/O
       Variable  I/O  Description
       --------  ---  --------------------------------------------------
       handle     I   EK file handle.

       The function returns the number of segments in the specified
       E-kernel.
#### Detailed_Input
       handle         is the handle of an EK file opened for read access.
#### Detailed_Output
       The function returns the number of segments in the specified
       E-kernel.
#### Parameters
       None.
#### Exceptions
       1)  If handle is invalid, the error will be diagnosed by routines
           called by this routine.  eknseg_c will return the value zero.

       2)  If an I/O error occurs while trying to read the EK, the error
           will be diagnosed by routines called by this routine.
           eknseg_c will return the value zero.
#### Files
       See the description of handle in $Detailed_Input.
#### Particulars
       This routine is used to support the function of summarizing an
       EK file.  Given the number of segments in the file, a program
       can use ekssum_c in a loop to summarize each of them.
#### Examples
       1)  Open an EK file and count the segments in it.

              ekopr_c ( ekname, &handle );
              n = eknseg_c  ( handle );
#### Restrictions
       None.
#### Literature_References
       None.
#### Author_and_Institution
       N.J. Bachman   (JPL)
#### Version
       -CSPICE Version 1.0.0, 24-FEB-1999 (NJB)
#### Index_Entries
       return number of segments in an E-kernel
#### Link to routine eknseg_c source file eknseg_c.c

    Wed Jun  9 13:05:22 2010